## r-cran-rhandsontable 0.3.5+dfsg

=== DESCRIPTION ===
Package: rhandsontable
Type: Package
Title: Interface to the 'Handsontable.js' Library
Version: 0.3.5
Authors@R: c(
  person("Jonathan", "Owen", email = "jonathanro@gmail.com",
         role = c("aut", "cre", "cph")),
  person("Jeff", "Allen", role = c("ctb")),
  person("Yihui", "Xie", role = c("ctb")),
  person("Enzo", "Martoglio",
         email = "enzo@smartinsightsfromdata.com", role = c("ctb")),
  person("Inberg", "Ger", role = c("ctb")),
  person("Warpechowski", "Marcin", role = c("ctb", "cph"), comment = "Handsontable.js library"),
  person("Handsoncode sp. z o.o.", role = c("ctb", "cph"), comment = "Handsontable.js library"),
  person("Aisch", "Gregor", role = c("ctb", "cph"), comment = "Chroma.js library"),
  person("Företagsplatsen", role = c("ctb", "cph"), comment = "Numbro.js library"),
  person("Draper", "Adam", role = c("ctb", "cph"), comment = "Numeral.js library"),
  person("Wood", "Tim", role = c("ctb", "cph"), comment = "Moment.js library"),
  person("Chernev", "Iskren", role = c("ctb", "cph"), comment = "Moment.js library"),
  person("Moment.js contributors", role = c("ctb", "cph"), comment = "Moment.js library"),
  person("Bushell", "David", role = c("ctb", "cph"), comment = "Pikaday.js library"),
  person("jQuery Foundation", role = c("ctb", "cph"), comment = "jQuery.js library"),
  person("Splunk Inc", role = c("ctb", "cph"), comment = "Sparkline.js library"),
  person("Russell", "Kent", role = c("ctb", "cph"), comment = "Sparkline.js library"),
  person("Rohan", "Jon", role = c("ctb", "cph"), comment = "ZeroClipboard library"),
  person("Greene", "James", role = c("ctb", "cph"), comment = "ZeroClipboard library"))
Maintainer: Jonathan Owen <jonathanro@gmail.com>
Description: An R interface to the 'Handsontable' JavaScript library, which is a
    minimalist Excel-like data grid editor.  See <https://handsontable.com/> for details.
License: MIT + file LICENSE
URL: http://jrowen.github.io/rhandsontable/
BugReports: https://github.com/jrowen/rhandsontable/issues
Imports: jsonlite, htmlwidgets (>= 0.3.3), magrittr, methods
Suggests: knitr, rmarkdown, shiny (>= 0.13), miniUI (>= 0.1.1),
        rstudioapi (>= 0.6), htmltools
VignetteBuilder: knitr
RoxygenNote: 6.0.1
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2018-01-09 23:33:49 UTC; jonathan
Author: Jonathan Owen [aut, cre, cph],
  Jeff Allen [ctb],
  Yihui Xie [ctb],
  Enzo Martoglio [ctb],
  Inberg Ger [ctb],
  Warpechowski Marcin [ctb, cph] (Handsontable.js library),
  Handsoncode sp. z o.o. [ctb, cph] (Handsontable.js library),
  Aisch Gregor [ctb, cph] (Chroma.js library),
  Företagsplatsen [ctb, cph] (Numbro.js library),
  Draper Adam [ctb, cph] (Numeral.js library),
  Wood Tim [ctb, cph] (Moment.js library),
  Chernev Iskren [ctb, cph] (Moment.js library),
  Moment.js contributors [ctb, cph] (Moment.js library),
  Bushell David [ctb, cph] (Pikaday.js library),
  jQuery Foundation [ctb, cph] (jQuery.js library),
  Splunk Inc [ctb, cph] (Sparkline.js library),
  Russell Kent [ctb, cph] (Sparkline.js library),
  Rohan Jon [ctb, cph] (ZeroClipboard library),
  Greene James [ctb, cph] (ZeroClipboard library)
Repository: CRAN
Date/Publication: 2018-01-10 23:56:57 UTC

=== debian/changelog ===
r-cran-rhandsontable (0.3.5+dfsg-1) unstable; urgency=medium

  * New upstream version
  * No tests provided any more in this version - build vignette as autopkgtest
  * Fix symlink
    Closes: #887566
  * debhelper 11
  * Standards-Version: 4.1.3

 -- Andreas Tille <tille@debian.org>  Thu, 18 Jan 2018 11:26:25 +0100

r-cran-rhandsontable (0.3.4+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #883267)

 -- Andreas Tille <tille@debian.org>  Fri, 01 Dec 2017 14:25:45 +0100

=== debian/control ===
Source: r-cran-rhandsontable
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-jsonlite,
               r-cran-htmlwidgets,
               r-cran-magrittr,
               libjs-jquery
Standards-Version: 4.1.3
Vcs-Browser: https://anonscm.debian.org/git/debian-med/r-cran-rhandsontable.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-rhandsontable.git
Homepage: https://cran.r-project.org/package=rhandsontable

Package: r-cran-rhandsontable
Architecture: all
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         libjs-jquery
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R interface to the 'Handsontable.js' library
 An R interface to the 'Handsontable' JavaScript library, which is a
 minimalist Excel-like data grid editor. See <https://handsontable.com/>
 for details.

## r-cran-rhandsontable 0.3.6%2Bdfsg1

=== debian/control ===
Source: r-cran-rhandsontable
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-jsonlite,
               r-cran-htmlwidgets,
               r-cran-magrittr,
               libjs-jquery
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rhandsontable
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rhandsontable.git
Homepage: https://cran.r-project.org/package=rhandsontable

Package: r-cran-rhandsontable
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R interface to the 'Handsontable.js' library
 An R interface to the 'Handsontable' JavaScript library, which is a
 minimalist Excel-like data grid editor. See <https://handsontable.com/>
 for details.

=== debian/rules ===
#!/usr/bin/make -f

# These definitions can be removed once #842092 is fixed
include /usr/share/dpkg/default.mk
debRreposname   := $(shell echo $(DEB_SOURCE) | sed 's/r-\([a-z]\+\)-.*/\1/')
awkString       := "'/^(Package|Bundle):/ {print $$2 }'"
cranNameOrig    := $(shell awk "$(awkString)" DESCRIPTION)
cranName        := $(shell echo "$(cranNameOrig)" | tr A-Z a-z)
package         := r-$(debRreposname)-$(cranName)
debRdir         := usr/lib/R/site-library
debRlib         := $(CURDIR)/debian/$(package)/$(debRdir)


%:
	dh $@ --buildsystem R

override_dh_install:
	dh_install
	mkdir -p $(debRlib)/$(cranNameOrig)/htmlwidgets/lib/handsontable
	cp -a debian/JS/handsontable/*.min.* $(debRlib)/$(cranNameOrig)/htmlwidgets/lib/handsontable
	cp -a debian/JS/sparkline $(debRlib)/$(cranNameOrig)/htmlwidgets/lib

override_dh_link:
	dh_link
	ln -s /usr/share/javascript/jquery/jquery.min.js $(debRlib)/$(cranNameOrig)/htmlwidgets/lib/jquery/jquery.min.js

=== debian/tests/control ===
Tests: vignette
Depends: @, r-cran-knitr
Restrictions: allow-stderr

## r-cran-rhandsontable 0.3.6+dfsg

=== debian/changelog ===
r-cran-rhandsontable (0.3.6+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 15 Mar 2018 19:23:35 +0100

## r-cran-rhandsontable 0.3.6+dfsg1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: rhandsontable
 Type: Package
 Title: Interface to the 'Handsontable.js' Library
-Version: 0.3.5
+Version: 0.3.6
 Authors@R: c(
   person("Jonathan", "Owen", email = "jonathanro@gmail.com",
          role = c("aut", "cre", "cph")),
@@ -37,7 +37,7 @@
 RoxygenNote: 6.0.1
 Encoding: UTF-8
 NeedsCompilation: no
-Packaged: 2018-01-09 23:33:49 UTC; jonathan
+Packaged: 2018-01-27 00:11:20 UTC; jonathan
 Author: Jonathan Owen [aut, cre, cph],
   Jeff Allen [ctb],
   Yihui Xie [ctb],
@@ -58,4 +58,4 @@
   Rohan Jon [ctb, cph] (ZeroClipboard library),
   Greene James [ctb, cph] (ZeroClipboard library)
 Repository: CRAN
-Date/Publication: 2018-01-10 23:56:57 UTC
+Date/Publication: 2018-01-27 05:53:10 UTC

=== debian/changelog ===
r-cran-rhandsontable (0.3.6+dfsg1-1) unstable; urgency=medium

  * Rebuild for R 3.5 transition
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends
  * Exclude autogenerated HTML containing compressed JS

 -- Andreas Tille <tille@debian.org>  Sun, 03 Jun 2018 22:50:07 +0200

## r-cran-rhandsontable 0.3.6+dfsg2

=== debian/changelog ===
r-cran-rhandsontable (0.3.6+dfsg2-1build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 21:43:06 +0000

r-cran-rhandsontable (0.3.6+dfsg2-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Really remove chroma.min.js from upstream source
  * Test-Depends: r-cran-rmarkdown, r-cran-webshot, pandoc
  * debhelper-compat 12
  * Set upstream metadata fields: Archive, Bug-Database.

  [ Dylan Aïssi ]
  * Standards-Version: 4.5.0 (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 19 May 2020 08:03:17 +0200

=== debian/control ===
Source: r-cran-rhandsontable
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-cran-jsonlite,
               r-cran-htmlwidgets,
               r-cran-magrittr
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rhandsontable
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rhandsontable.git
Homepage: https://cran.r-project.org/package=rhandsontable
Rules-Requires-Root: no

Package: r-cran-rhandsontable
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends},
# <dh-update-R>do not delete this</dh-update-R>
         libjs-jquery
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R interface to the 'Handsontable.js' library
 An R interface to the 'Handsontable' JavaScript library, which is a
 minimalist Excel-like data grid editor. See <https://handsontable.com/>
 for details.

## r-cran-rhandsontable 0.3.7+dfsg

=== debian/changelog ===
r-cran-rhandsontable (0.3.7+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Set upstream metadata fields: Bug-Submit, Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Fri, 04 Sep 2020 10:52:12 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-jsonlite,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dh-r/r-cran.mk

%:
	dh $@ --buildsystem R

override_dh_install:
	dh_install
	mkdir -p $(debRlib)/$(cranNameOrig)/htmlwidgets/lib/handsontable
	mkdir -p $(debRlib)/$(cranNameOrig)/htmlwidgets/lib/chroma
	cp -a debian/JS/handsontable/*.min.* $(debRlib)/$(cranNameOrig)/htmlwidgets/lib/handsontable
	cp -a debian/JS/sparkline $(debRlib)/$(cranNameOrig)/htmlwidgets/lib
	cp -a debian/JS/chroma/chroma.min.js $(debRlib)/$(cranNameOrig)/htmlwidgets/lib/chroma

=== debian/tests/control ===
Tests: vignette
Depends: @, r-cran-knitr, r-cran-rmarkdown, r-cran-webshot, pandoc
Restrictions: allow-stderr

## r-cran-rhandsontable 0.3.8+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: rhandsontable
 Type: Package
 Title: Interface to the 'Handsontable.js' Library
-Version: 0.3.6
+Version: 0.3.8
 Authors@R: c(
   person("Jonathan", "Owen", email = "jonathanro@gmail.com",
          role = c("aut", "cre", "cph")),
@@ -23,21 +23,22 @@
   person("Splunk Inc", role = c("ctb", "cph"), comment = "Sparkline.js library"),
   person("Russell", "Kent", role = c("ctb", "cph"), comment = "Sparkline.js library"),
   person("Rohan", "Jon", role = c("ctb", "cph"), comment = "ZeroClipboard library"),
-  person("Greene", "James", role = c("ctb", "cph"), comment = "ZeroClipboard library"))
+  person("Greene", "James", role = c("ctb", "cph"), comment = "ZeroClipboard library"),
+  person("Hammill", "Dillon", role = c("ctb")))
 Maintainer: Jonathan Owen <jonathanro@gmail.com>
 Description: An R interface to the 'Handsontable' JavaScript library, which is a
     minimalist Excel-like data grid editor.  See <https://handsontable.com/> for details.
 License: MIT + file LICENSE
 URL: http://jrowen.github.io/rhandsontable/
 BugReports: https://github.com/jrowen/rhandsontable/issues
-Imports: jsonlite, htmlwidgets (>= 0.3.3), magrittr, methods
+Imports: jsonlite, htmlwidgets (>= 0.3.3), magrittr, methods, utils
 Suggests: knitr, rmarkdown, shiny (>= 0.13), miniUI (>= 0.1.1),
         rstudioapi (>= 0.6), htmltools
 VignetteBuilder: knitr
-RoxygenNote: 6.0.1
+RoxygenNote: 7.1.1
 Encoding: UTF-8
 NeedsCompilation: no
-Packaged: 2018-01-27 00:11:20 UTC; jonathan
+Packaged: 2021-05-27 11:28:49 UTC; Dillon
 Author: Jonathan Owen [aut, cre, cph],
   Jeff Allen [ctb],
   Yihui Xie [ctb],
@@ -56,6 +57,7 @@
   Splunk Inc [ctb, cph] (Sparkline.js library),
   Russell Kent [ctb, cph] (Sparkline.js library),
   Rohan Jon [ctb, cph] (ZeroClipboard library),
-  Greene James [ctb, cph] (ZeroClipboard library)
+  Greene James [ctb, cph] (ZeroClipboard library),
+  Hammill Dillon [ctb]
 Repository: CRAN
-Date/Publication: 2018-01-27 05:53:10 UTC
+Date/Publication: 2021-05-27 11:50:03 UTC

=== debian/changelog ===
r-cran-rhandsontable (0.3.8+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Disable reprotest
  * Provide numbro/languages.unmin.js to avoid compressed JS in source
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 13 Jul 2022 16:44:39 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                r-cran-jsonlite,
                r-cran-htmlwidgets,
                r-cran-magrittr
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rhandsontable
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rhandsontable.git
 Homepage: https://cran.r-project.org/package=rhandsontable
@@ -20,7 +20,6 @@
 Architecture: all
 Depends: ${R:Depends},
          ${misc:Depends},
-# <dh-update-R>do not delete this</dh-update-R>
          libjs-jquery
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,8 @@
 	dh_install
 	mkdir -p $(debRlib)/$(cranNameOrig)/htmlwidgets/lib/handsontable
 	mkdir -p $(debRlib)/$(cranNameOrig)/htmlwidgets/lib/chroma
+	mkdir -p $(debRlib)/$(cranNameOrig)/htmlwidgets/lib/numbro
 	cp -a debian/JS/handsontable/*.min.* $(debRlib)/$(cranNameOrig)/htmlwidgets/lib/handsontable
 	cp -a debian/JS/sparkline $(debRlib)/$(cranNameOrig)/htmlwidgets/lib
 	cp -a debian/JS/chroma/chroma.min.js $(debRlib)/$(cranNameOrig)/htmlwidgets/lib/chroma
+	cp -a debian/JS/numbro/languages.min.js $(debRlib)/$(cranNameOrig)/htmlwidgets/lib/numbro

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
  https://cran.r-project.org/src/contrib/rhandsontable_([-\d.]*)\.tar\.gz
